2000-11-09  Nicolas M. Thiéry  <nthiery@mines.edu>

	* NEWS: NEWS for GLIP 0.4fix1.
	* configure.in: Switched to version 0.4fix1.

	* Makefile.am: Added Source Forge goodies.
	* configure.in: Added index.html in the documentation.
	* configure.in, acinclude.m4:
	Removed non standard GEN_OPTIMIZE macro, which was causing trouble on
	some systems.

	* index.html: Update, and links to local documentation (README, ...).
	* README.in: Added section on supported platforms.

	* GLIP/SmallList_tmpl.h, GLIP/SmallList.h, BUGS:
	Bug fix: (compile error with egcs 2.91.66).
	  The static member SmallList::nilRep is now a Rep * instead of a Rep.

2000-11-08  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/SmallList_tmpl.h, GLIP/Permutation_tmpl.h, GLIP/PermutationGroup_tmpl.h GLIP/PermutationGroup.h, GLIP/Permutation.h, GLIP/Partitions.h:
	Include the GLIP headers as system headers.

2000-11-07  Nicolas M. Thiéry  <nthiery@mines.edu>

	* bootstrap, README.in:
	New script bootstrap for bootstrapping the autotools.

	* Makefile.am:
	Use check_PROGRAMS for only compiling the test programs when needed by make check.

2000-10-13  Nicolas M. Thiéry  <nthiery@mines.edu>

	* README.in: Removed reference to inexistent Quickstart file.

2000-10-12  Nicolas M. Thiéry  <nthiery@mines.edu>

	* NEWS: NEWS for GLIP 0.4.

	* configure.in: Switched to version 0.4.

        * PermutationGroup.cc: Disabled user information.

2000-10-08  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/PermutationGroup_tmpl.h, GLIP/PermutationGroup.h:
	Bug fix: for some reason, is_canonic was only defined for SmallLists.

2000-09-26  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Demo.cc, Makefile.am: Added Demo program.

	* GLIP/PermutationGroup_tmpl.h, GLIP/PermutationGroup.h:
	Made most methods const. There remains all those that call is_canonic,
	which are only logically const.

	* GLIP/PermutationGroup_tmpl.h, GLIP/PermutationGroup.h, PermutationGroup-test.cc:
	New methods:
	 - orbit
	 - orbit_set
	 - orbit_size
	 - automorphism_group_size
	Fixed some iterators that were non-const without reason

2000-09-24  Nicolas M. Thiéry  <nthiery@mines.edu>

	* /home/lmd/nthiery/CVSROOT/automake/packages/Makefile.am:
	Use of Makefile macros instead of direct access to configure macros
	(e.g. use $(PKG_TOPDIR) instead of @PKG_TOPDIR@). This was causing a
	bug in make distcheck.

	Two new macros pkg_source and pkg_rpm to factor out the name of the
	source archive and the rpm.

	* configure.in: Check for install and ln -s.

	* configure.in: Removed empty requires.
	Added README to the files produced by configure.

	* index.html: Typo fix.

	* Partitions.cc, Partitions-test.cc:
	Fixed bug in generator: invariant (5) was not preserved, resulting in
	generation of invalid partitions of smaller integers. For example,
	Partitions(5,2) produced the partition [2,2].

	* AUTHORS: Standardization.

2000-09-23  Nicolas M. Thiéry  <nthiery@mines.edu>

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4, /home/lmd/nthiery/CVSROOT/automake/packages/Makefile.am:
	Delayed the creation of the links for rpm/SOURCES/...tar.gz and
	rpm/SPEC/....spec until really needed.
	This avoids dandling links, and also allows it to work wether ln -s or
	only ln is available on the system.

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4, /home/lmd/nthiery/CVSROOT/automake/packages/Makefile.am:
	Added minimal support for signatures.

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4, /home/lmd/nthiery/CVSROOT/automake/packages/generic.spec.in:
	Further fix for the bug with empty REQUIRES.
	Added support for pre / post / preun / postun scripts.

2000-09-22  Nicolas M. Thiéry  <nthiery@mines.edu>

	* /home/lmd/nthiery/CVSROOT/automake/packages/generic.spec.in, /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4:
	Fixed bug with empty REQUIRES.

	* /home/lmd/nthiery/CVSROOT/automake/packages/generic.spec.in, /home/lmd/nthiery/CVSROOT/automake/packages/package-info.in:
	COPYRIGHT -> LICENSE

2000-09-21  Nicolas M. Thiéry  <nthiery@mines.edu>

	* README, README.in: Use of a template README.

2000-09-20  Nicolas M. Thiéry  <nthiery@mines.edu>

	* configure.in, acinclude.m4: Use of packages/packages.m4.

	* index.html: Renamed MFobject and MFtoC into CtoM and MtoC.

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4, /home/lmd/nthiery/CVSROOT/automake/packages/package-info.in, /home/lmd/nthiery/CVSROOT/automake/packages/generic.spec.in:
	Added macro PKG_REQUIRES for rpm requires support.

2000-09-19  Nicolas M. Thiéry  <nthiery@mines.edu>

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4:
	Copyright -> License.

2000-09-13  Nicolas M. Thiéry  <nthiery@mines.edu>

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4:
	Moved back AC_OUTPUT of stuff in packages into configure.in.

	* /home/lmd/nthiery/CVSROOT/automake/packages/packages.m4:
	Inserted the definitions of the autoconf macros for building packages.
	Stolen from ../acinclude.m4.

	* /home/lmd/nthiery/CVSROOT/automake/packages/package-info.in:
	New variable PKG_DOC.

	* /home/lmd/nthiery/CVSROOT/automake/packages/generic.spec.in:
	Cleanup + new variable PKG_DOC.

2000-09-11  Nicolas M. Thiéry  <nthiery@mines.edu>

	* /home/lmd/nthiery/CVSROOT/automake/packages/Makefile.am:
	Cleaned and fixed distclean/maintainer-clean which did not remove
	enough files, causing make distcheck to fail.

2000-09-10  Nicolas M. Thiéry  <nthiery@mines.edu>

	* acinclude.m4, packages/package-info.in, packages/generic.spec.in, configure.in:
	Updated rpm building system and informations.

	* index.html:
	Fetched version on Source Forge.
	Added comments about GLIPmod and MAPITL.
	Little polishing.

2000-09-08  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/SmallList.h: Oops.

	* GLIP/SmallList.h: Use standard exception out_of_range.

	* PermutationGroup-test.cc:
	Removed warning by avoiding signed/unsigned comparizon size_t <-> constant.

	* configure.in:
	Bug fix: since there is no test for a C compiler, there should be no
	test for AC_C_CONST, AC_C_INLINE AC_HEADER_STDC and such.

	* NEWS: NEWS for GLIP 0.3fix1 (con't)

2000-09-06  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/SmallList_tmpl.h, GLIP/SmallList.h, SmallList.cc:
	Reorganization of the code between the .h _tmpl.h and .cc:
	- Much more readable declaration of the class SmallList and it's
	  helper functions. It makes a reasonable self-contained documentation.
	- No need to include _tmpl.h, if SmallList's are only used with
	  the default templates parameters.
	- No more inline definitions inside the class declaration
	- All inline stuff is at the bottom of the .h
	- Non inline stuff is either in _tmpl.h or .cc

	* SmallList-test.cc: Added test for operator().
	Removed inclusion of the implementation of templates for SmallList.

	* PermutationGroup-test.cc:
	Fixed signed/unsigned warning by explicit conversion of into size_t.

	* Permutation.cc:
	Added explicit instantiation of templates for default values.

	* Partitions-test.cc: Accept an unamed partition as lvalue.

2000-09-05  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Permutation-test.cc: Added test for the use of const_iterator's.

	* Makefile.am: Add -pedantic in AM_CXXFLAGS.

	* SmallList-test.cc: Added test for the use of const_iterator's.

	* configure.in: Cleanup.
	Added requirement for CXXCPP and set AC_LANG_CPLUSPLUS.
	Removed requirement for CC.

	* packages/.cvsignore:
	Copied from autosample by Hans Ulrich Niedermann. Thanks Hans!

	* GLIP/PermutationGroup_tmpl.h:
	Bug fix: missing typename raised an ambiguity.

2000-09-04  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/Byte.h, Byte-test.cc:
	Defined alternative implementation of class Byte:
	 - GLIP::ByteConv:  Byte with user defined implicit conversions
	 - GLIP::ByteBinOp: Byte with user defined binary operations
	GLIP::Byte is a typedef alias of GLIP::ByteConv.

2000-09-03  Nicolas M. Thiéry  <nthiery@mines.edu>

	* NEWS: NEWS for GLIP 0.3fix1

	* packages/package-info.in, packages/generic.spec.in, configure.in, acinclude.m4:
	Added hooks and variables for Debian packages.

	* configure.in, acinclude.m4, packages/Makefile.am:
	Major clean up of the package build system:
	-all non-generic information can be set up in configure.in
	-standardization of the names, with PKG_, PKG_RPM_ or PKG_DEB_
	 prefixes for what is common / specific to the different
	 package systems.

	* BUGS: Mostly fixed copy on write bug for SmallList's.

	* configure.in: Switched to version 0.3fix1.

	* GLIP/SmallList.h, SmallList-test.cc:
	Fixed most glitches that appeared when compiling other modules using
	SmallList's. There are still conversions problems when using Byte as
	value_type, so this has been temporarily reverted to short int.

	* GLIP/SmallList_tmpl.h, GLIP/SmallList.h, SmallList-test.cc:
	-Mostly fixed reference effect bug:
	 This required a major rewrite and cleanup of the SmallList class,
	 following ideas of the String class in Stroustrup's Book, Ch. 11.12,
	 and of the implementation of the STL basic_string class in g++.
	 Basically, a helper class is used to implement a subscript operator
	 that distinguishes between reading and writing.
	 The reference bug still exists for a non const iterator, and copies
	 of the SmallList created after the creation of the iterator.
	-Better checked access.
	-Uninitialized memory is used to speed up constructors.

	* GLIP/Byte.h, Byte-test.cc:
	Added missing operators, and cleaned up the others, following the
	advises of Stroustrup's Book, Ch. 11.
	Don't bother anymore about forbidding 'Byte(0)=1'.

2000-09-02  Nicolas M. Thiéry  <nthiery@mines.edu>

	* configure.in: Release 1.

	* Makefile.am: Finished to remove stuff for patches
	Added cvs-tag-force rule

	* NEWS: NEWS for GLIP 0.3 (con't)

	* config/default.exp:
	Removed useless dejagnu stuff, since the tests are no more interactive.

	* GLIP/PermutationGroup_tmpl.h: Added missing include for <list>

	* SmallList-test.cc:
	Added test for assignment to non variable which should not be allowed.

	* Makefile.am: Real test suite for PermutationGroup.

	* PermutationGroup-test.cc: Real test suite for PermutationGroup.
	 - Reused former man-checked tests
	 - Benchmarks and others removed.

	* SmallList-test.cc: Removed strstream which was not used.

	* Permutation-test.cc: Minor header fix.

	* Makefile.am, Partitions.test/tests.exp, Partitions-test.cc:
	Converted the dejagnu semi-interactive test suite into pure C++ batch.

	* Byte-test.cc: Nicer way to force test "Assignment 2" to return false.

	* GLIP/Partitions.h, Partitions.cc:
	Implemented proper assignment, with complete copy semantic.
	Class definition outside the GLIP namespace, as suggested by
	Stroustrup, to ensure prototype checking.
	Removed the member variable done  which wasn't used anymore.
	Removed old commented out code.

2000-09-01  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/PermutationGroup_tmpl.h: Added missing include for <list>

	* SmallList-test.cc:
	Added test for assignment to non variable which should not be allowed.

	* Makefile.am: Finished to remove stuff for patches
	Added cvs-tag-force rule

	* Makefile.am: Real test suite for PermutationGroup.

	* PermutationGroup-test.cc: Real test suite for PermutationGroup.
	 - Reused former man-checked tests
	 - Benchmarks and others removed.

	* SmallList-test.cc: Removed strstream which was not used.

	* Permutation-test.cc: Minor header fix.

	* Makefile.am, Partitions-test.cc:
	Converted the dejagnu semi-interactive test suite into pure C++ batch.

	* Byte-test.cc: Nicer way to force test "Assignment 2" to return false.

	* GLIP/Partitions.h, Partitions.cc:
	Implemented proper assignment, with complete copy semantic.
	Class definition outside the GLIP namespace, as suggested by
	Stroustrup, to ensure prototype checking.
	Removed the member variable done  which wasn't used anymore.
	Removed old commented out code.

2000-08-31  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Makefile.am:
	Converted the dejagnu semi-interactive test suite into pure C++ batch.
	Fixed missing EXTRA_DIST

	* Permutation-test.cc:
	Converted the dejagnu semi-interactive test suite into pure C++ batch.

	* README: Added references to glip.sourceforge.net

	* TODO: Updated

	* GLIP/Permutation.h: Added constructor from string.

	* TestsUtils_tmpl.h, TestsUtils.h, TestsUtils.cc, SmallList-test.cc, Byte-test.cc:
	XFAIL (expected test failure) and XPASS (unexpected test pass)
	implemented and used.

	* GLIP/SmallList.h, PermutationGroup-test.cc, GLIP/Byte.h, GLIP/SmallList_tmpl.h:
	Use std::?stream instead of ?stream.

	* GLIP/Byte.h, GLIP/Partitions.h, GLIP/PermutationGroup.h, GLIP/PermutationGroup_tmpl.h, GLIP/Permutation.h, GLIP/Permutation_tmpl.h, GLIP/SmallList.h, GLIP/SmallList_tmpl.h, TestsUtils.h, TestsUtils_tmpl.h:
	Renamed all include guards from _FILE_H to GLIP_FILE_H. That's cleaner
	(it contains the library name) and safer (it does not start with _).

	* Makefile.am: Bugfix for CVS goodies (H_VERSION was mispelled).

	* GLIP/PermutationGroup_tmpl.h:
	Type cleanup for indexes in loops over elements of template arrays

	* GLIP/SmallList.h:
	size and capacity now returns size_type instead of size_t. It's more
	coherent for use in loops like:
	   for(SmallList<>::size_type i=0; i!=l.size(); i++) {

	* Byte-test.cc: Added tests for operators < > = !=

	* Makefile.am: Cleanup/Reorganisation
	Declaration and proper care of GLIP headers

	* TestsUtils_tmpl.h, TestsUtils.h:
	Removed the crappy mini-interpreter since it's not used anymore.

	* packages/generic.spec.in: Updated the information for GLIP.

	* BUGS: Byte's assignment bug.

	* packages/generic.spec.in, packages/package-info.in, packages/Makefile.am, acinclude.m4, configure.in, Makefile.am:
	Automake/autoconf support for building rpm's and playing with CVS.
	Copied from xtestsuite by Hans Ulrich Niedermann. Thanks Hans!

	* README: Updated the description.

2000-08-30  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Makefile.am, SmallList-test.cc:
	Converted the dejagnu semi-interactive test suite into pure C++ batch.

	* GLIP/SmallList.h: New method:
	 - fullsizeof: returns the size in char's of a SmallList

	Gain of 4 bytes in the size of a standard SmallList (12 + size):
	 - Default value for size_type changed to short int
	   no more signed/unsigned problem
	 - Use size_type for the type of the reference counter
	   Potential problem if more than 32768 copies of a SmallList

	* TestsUtils_tmpl.h, TestsUtils.h: Pass arguments of test by reference

	* Byte-test.cc:
	Temporary test for use as lvalue. It should not compile!

	* GLIP/SmallList.h:
	Bug fix: const at and operator[] should return value_type, not size_type.

	* Makefile.am:
	Fixed headers dependencies for TestUtils.h and TestUtils_tmpl.h

	* GLIP/SmallList_tmpl.h, GLIP/SmallList.h: Bug fix:
	  SmallList's created with the default constructor are now
	  valid empty SmallList's. They share a common representation nilRep
	  instead of containing a zero pointer. No more need for (rep!=0)
	  tests or assertions; no more segmentation faults (hopefully).

2000-08-29  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/Partitions.h, Partitions.cc: Bug fix and cleanup:
	The constructors now take simple integer arguments.
	This avoids implicit/explicit conversions problems.

	* ChangeLog: *** empty log message ***

	* NEWS: NEWS for GLIP 0.3 (con't)

	* GLIP/Byte.h: Cleaned the automagic conversions:
	 - Byte -> unsigned char: implicit
	 - unsigned char -> Byte: explicit, or through assignement

	Reindentation/reformating.

	* GLIP/PermutationGroup_tmpl.h:
	Use < instead of >. Might be more efficient ?

	* GLIP/Permutation.h:
	Use SmallList with default value_type as base class.

	* GLIP/SmallList_tmpl.h, GLIP/SmallList.h:
	Use of the concrete class Byte as default value_type for SmallList's
	instead of unsigned char.

	This allow for removing the yucky hacks to input and output chars as
	integers. Hence, SmallList's should now work with any type, not only
	integer types.

	* SmallList.cc: Added using GLIP::SmallList;

	* Makefile.am: Added dependencies for the class Byte.
	Desactivated dejagnu tests (being replaced by simple pure batch tests).

	* GLIP/Byte.h, Byte.cc, Byte-test.cc:
	Implementation as a wrapper around a unsigned char, with inline
	redefinition of most usual operators.

	* TestsUtils_tmpl.h, TestsUtils.h, TestsUtils.cc:
	Added utilities for pure batch tests: test_start, test, test_summary.

2000-08-15  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/Partitions.h: Fixed small type bug.

2000-08-14  Nicolas M. Thiéry  <nthiery@mines.edu>

	* GLIP/Partitions.h, GLIP/PermutationGroup.h, GLIP/PermutationGroup_tmpl.h, GLIP/Permutation.h, GLIP/Permutation_tmpl.h, Makefile.am, NEWS, Partitions.cc, Partitions-test.cc, Permutation.cc, PermutationGroup.cc, PermutationGroup-test.cc, Permutation-test.cc, SmallList.cc, SmallList-test.cc, TODO:
	 - Moved header files to a subdirectory GLIP.
	 - Moved declarations and definitions in the GLIP namespace.
	 - Cleaned helper functions and moved them in unnamed namespaces to
	   avoid name clashes.

	* configure.in: Switched to version 0.3.

	* GLIP/SmallList.h, GLIP/SmallList_tmpl.h:
	 - Moved header files to a subdirectory GLIP.
	 - Moved declarations and definitions in the GLIP namespace.
	 - Removed assertions for unitialized representations in friend
	   operators, since anyway that was not tested in most other methods.
	 - New is_clone method
	 - Former friend methods do not need to be friends anymore This makes
	   it simpler, and for some reason, g++ 2.91.66 got confused with
	   those friends methods and namespaces.

2000-08-08  Nicolas M. Thiéry  <nthiery@mines.edu>

	* PermutationGroup.test/S4.dat, PermutationGroup.test/S5.dat, PermutationGroup.test/S6.dat, PermutationGroup.test/S7.dat, PermutationGroup.test/S8.dat, PermutationGroup.test/S9.dat, PermutationGroup.test/S3.dat:
	Permutations line by line, as generated by MuPAD.

	* PermutationGroup-test.cc:
	Basically copied from the old testperm.cc test program. Needs to be
	put in dejagnu form.

	* COPYING.LIB: Copied from the exemplary in /usr/doc/gpgp-0.4.

2000-08-05  Nicolas M. Thiéry  <nthiery@mines.edu>

	* TODO, ChangeLog: Updated

2000-08-04  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Makefile.am: Added headers.

2000-08-03  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Makefile.am: Support for multiple DEJATOOLS.

	* NEWS: Entered news for version 0.1.

	* Partitions.test/tests.exp, Partitions.cc:
	Bug fix: the case of empty partitions was not handled properly.

	* Partitions-test.cc: Cleanup and use of TestUtils.

	* config/default.exp:
	Better handling of multiline output for the verbose displaying of mismatchs.

	* Permutation.test/tests.exp, Permutation-test.cc:
	Basic test suite, with minimal tests for:
	 - input
	 - multiplication
	 - action on lists

	* SmallList-test.cc: Cleanup.

	* Permutation.h: Enhanced description of pre and post conditions.

	* SmallList.test/tests.exp: Removed useless quotes.

	* Partitions.cc, Partitions.h, Partitions-test.cc, Permutation.cc, PermutationGroup.cc, PermutationGroup.h, PermutationGroup_tmpl.h, Permutation.h, Permutation_tmpl.h, SmallList.cc, SmallList.h, SmallList-test.cc, SmallList_tmpl.h, TestsUtils.cc, TestsUtils.h:
	Cleanup of the headers.

	* Makefile.am: Let the test tools use TestsUtils.

	* SmallList-test.cc, TestsUtils.cc, TestsUtils.h:
	Extracted read_command from SmallList-test into a separate TestsUtils unit.

	* README: More bla bla, inspired from the README of gtk:
	 - How to send bug reports
	 - Requirements
	 - ...

	* SmallList.h, SmallList_tmpl.h:
	 - Use of the two templates parameters when using a type SmallList<T,S>,
	   in order to avoid specialization.
	 - Support for reverse iterators.
	 - Use of the STL algorithms for the implementation of =, lex, < and revlex.

	* Makefile.am: Removed stuff for MuPAD.
	Added building of library libGLIP.
	Added building of the various test tools.

	* configure.in: Removed now useless stuff for MuPAD.
	Added stuff for building a library.

	* Partitions.test/tests.exp:
	Moved the common initialization and stuff to default.exp.
	Use the patterns ${pre}, ${nl} and ${post}.

	* config/default.exp: New global variable nl.
	Allows a prompt without preceding newlines in $post.

	* SmallList.test/tests.exp, SmallList-test.cc:
	Working, but pretty minimal test suite.

	* config/default.exp:
	Contains the necessary routines to start and play with a
	(semi)-interactive tool.

2000-08-02  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Makefile.am: More compilation warnings.

	* Makefile.am, ...:
	Extracted the MuPAD module as a separate package.

2000-07-10  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Makefile.am: Added Partitions, cleanup.

	* PermutationGroup.cc, PermutationGroup.h: New method:
	 - canonic_compositions

	* SmallList.h:
	Added unsigned char as default value_type for SmallList's.

	* Makefile.am: Added Partitions-test in the programs.
	Added -Wall option

	* Partitions.test/tests.exp, Partitions.h, Partitions-test.cc, Partitions.cc:
	First working version:
	 - generators for partitions by number of parts.
	 - minimal test suite.
	 - generators defined using function objects; not containers yet.

2000-06-04  Nicolas M. Thiéry  <nthiery@mines.edu>

	* configure.in, Makefile.am:
	Added limited support for configuration of MuPAD and MMG

2000-04-30  Nicolas M. Thiéry  <nthiery@mines.edu>

	* PermutationGroup.cc, PermutationGroup.h, PermutationGroup_tmpl.h:
	Major clean up:
	 - standardization of the headers and include guards
	 - definition and use of standard container typedefs and accessors
	 - no more global typedefs
	 - cleanup of the #includes
	 - templates defined in a separate _tmpl.h file
	 - most definitions removed from user interface .h file
	 - new constructor which only takes a range, and uses distance to
	   compute the length
	 - use of the namespace permutation_group to avoid all global definitions
	Most requirements of the specifications are fullfilled:
	 - construction of a permutation group from a set of generators
	 - canonicity test
	 - computation of automorphism group
	 - generation of binary lists by successive augmentation, and complementation
	 - generation of lists with any shape
	   (brutal algorithm, and McKay's algorithm based on binary lists)
	 - cache in memory of binary lists, using complementation

	* Permutation.cc, Permutation.h, Permutation_tmpl.h, SmallList.cc, SmallList.h, SmallList_tmpl.h:
	Major clean up:
	 - standardization of the headers and include guards
	 - definition and use of standard container typedefs and accessors
	 - no more global typedefs
	 - cleanup of the #includes
	 - templates defined in a separate _tmpl.h file
	 - most definitions removed from user interface .h file
	 - new constructor which only takes a range, and uses distance to
	   compute the length
	New methods:
	 - SmallList: operator ()
	 - Permutation: stabilize, decrease, MuPAD_to_C, C_to_MuPAD
	id as a class function for Permutations

	* Makefile.am: PermGroup.cc -> PermutationGroup.cc

	* AUTHORS, ChangeLog, configure.in, Makefile.am, NEWS, README:
	Setup of the auxiliary files for the standard GNU distribution tools
	(autoconf, automake).

2000-04-21  Nicolas M. Thiéry  <nthiery@mines.edu>

	* SmallList.h: Clean up.

	* Permutation.h:  - Constructor for Permutations from iterators.
	 - MuPAD2C and C2MuPAD converters.

2000-04-17  Nicolas M. Thiéry  <nthiery@mines.edu>

	* SmallList.h: New constructor using iterators.
	Indentation clean up.
	Other orders: lex, degrevlex.

	* automaton.cc: ???

2000-04-15  Nicolas M. Thiéry  <nthiery@mines.edu>

	* Permutation.cc, Permutation.h, SmallList.cc, SmallList.h:
	Implementation which satifies reasonably the specifications.
	It's probably possible to reduce somewhat the memory consumption.

2000-01-28  Nicolas M. Thiéry  <nthiery@mines.edu>

	* automaton.cc:
	First version, which works, but takes quite a lot of memory.
	Let's try to standardize it.

